org.eclipse.actf.util.win32.comclutch

## Class RefContainer

- java.lang.Object
- - org.eclipse.actf.util.win32.comclutch.impl.IResourceImpl
  - - org.eclipse.actf.util.win32.comclutch.RefContainer

All Implemented Interfaces:
  IResource

Direct Known Subclasses:
  RefBoolean, RefByte, RefDouble, RefFloat, RefInt, RefIUnknown, RefLong, RefObject, RefShort, RefString, RefVoid

    public abstract class RefContainer
    extends org.eclipse.actf.util.win32.comclutch.impl.IResourceImpl

RefContainer is abstract class of referenced variables. The instance of the RefContainer is used for call by reference. You don't have to care about the resource management, because the ResourceManager treat the resource life cycle. You can release the resource if you don't need to keep it.

### Method Summary

Methods
`long` `getPtr()`
`void` `release()` call `ResourceManager.removeResource(IResource)` with this

### Methods inherited from class org.eclipse.actf.util.win32.comclutch.impl.IResourceImpl

`addResource, equals, findInResource, getResourceManager, hashCode, isPermanent, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getPtr

    public long getPtr()

Returns:
  the native reference pointer of the resource

#### release

    public void release()

Description copied from interface: `IResource`
call `ResourceManager.removeResource(IResource)` with this

Specified by:
  `release` in interface `IResource`
Overrides:
  `release` in class `org.eclipse.actf.util.win32.comclutch.impl.IResourceImpl`